Subject: Re: linux-next: xfs tree build failure

From: Felix Blyakher <[email-masked]>
Date: Tue, 1 Sep 2009 20:54:07 -0500

On Sep 1, 2009, at 8:28 PM, Christoph Hellwig wrote:

> On Wed, Sep 02, 2009 at 11:25:09AM +1000, Stephen Rothwell wrote:
>> Hi all,
>>
>> Today's linux-next build (powerpc ppc64_defconfig) failed like this:
>>
>> fs/xfs/xfs_ialloc.c:63: error: static declaration of  
>> 'xfs_inobt_lookup' follows non-static declaration
>> fs/xfs/xfs_ialloc.h:155: note: previous declaration of  
>> 'xfs_inobt_lookup' was here
>>
>> Caused by commit 2187550525d7bcb8c87689e4eca41b1955bf9ac3 ("xfs:
>> rationalize xfs_inobt_lookup*").
>
> I've sent a fix to the list about an hour ago:

I've reviewed it and picked it up right away.
Thanks, Christoph.

> Subject: [PATCH] xfs: un-static xfs_inobt_lookup
> From: Christoph Hellwig <[email-masked]>
>
> xfs_inobt_lookup is also used in xfs_itable.c, remove the STATIC  
> modifier
> from it's declaration to fix non-debug builds.
>
> This was already fixed in my git tree vs the version last posted to  
> the
> list.

>
>
> Signed-off-by: Christoph Hellwig <[email-masked]>
>
> Index: xfs/fs/xfs/xfs_ialloc.c
> ===================================================================
> --- xfs.orig/fs/xfs/xfs_ialloc.c	2009-09-01 20:47:28.515468366 -0300
> +++ xfs/fs/xfs/xfs_ialloc.c	2009-09-01 20:47:33.867913011 -0300
> @@ -59,7 +59,7 @@ xfs_ialloc_cluster_alignment(
> /*
>  * Lookup a record by ino in the btree given by cur.
>  */
> -STATIC int				/* error */
> +int					/* error */
> xfs_inobt_lookup(
> 	struct xfs_btree_cur	*cur,	/* btree cursor */
> 	xfs_agino_t		ino,	/* starting inode of chunk */
>>
>> I have used the version of the xfs tree from next-20090901 for today.

Argh! It was broken just for couple of hours.
The fix is now in official xfs tree as well.

Thanks,
Felix

>>
>> -- 
>> Cheers,
>> Stephen Rothwell                    [email-masked]
>> http://www.canb.auug.org.au/~sfr/
>
>
> ---end quoted text---